#!/usr/bin/env bash
#

####################################################################################################
# This is the config file for the 'InstallFullDB.sh' script
#
# You need to customize
# MYSQL_HOST: Host on which the database resides
# MYSQL_PORT: Port on which the database is running
# MYSQL_USERNAME: Your a valid mysql username
# MYSQL_PASSWORD: Your corresponding mysql password
# MYSQL_PATH: Your mysql command (usually mysql)
# WORLD_DB_NAME: Your content database
# CORE_PATH: Your path to core's directory
#
####################################################################################################

## Define the host on which the mangos database resides (typically localhost)
MYSQL_HOST="${MANGOS_DBHOST}"

## Define the port on which the mangos database is running (typically 3306)
MYSQL_PORT="${MANGOS_DBPORT}"

## Define your username
MYSQL_USERNAME="${MANGOS_DBUSER}"

## Define your password (It is suggested to restrict read access to this file!)
MYSQL_PASSWORD="${MANGOS_DBPASS}"

## Define default mysql address binding(you can set "%" to be able to connect from any computer)
MYSQL_USERIP="%"

## Define the databases names (let them empty for default name '<expansion><dbtype>')
WORLD_DB_NAME="${MANGOS_WORLD_DBNAME}"
REALM_DB_NAME="${MANGOS_REALMD_DBNAME}"
CHAR_DB_NAME="${MANGOS_CHARACTERS_DBNAME}"
LOGS_DB_NAME="${MANGOS_LOGS_DBNAME}"

## Define your mysql programm if this differs
MYSQL_PATH="/usr/bin/mariadb"

## Define the path to your mysql dump binary folder
MYSQL_DUMP_PATH="/usr/bin/mariadb-dump"

## Define the path to your core's folder
CORE_PATH="${MANGOS_DIR}"

## Define if the 'locales' directory for processing localization/multi-language SQL files needs to be used
## Set the variable to "YES" to use the locales directory
LOCALES="YES"

## Define if you want to wait a bit before applying the full database
FORCE_WAIT="NO"

## Define if the 'dev' directory for processing development SQL files needs to be used
## Set the variable to "YES" to use the dev directory
DEV_UPDATES="NO"

## Define if AHBot SQL updates need to be applied (by default, assume the core is built without AHBot)
## Set the variable to "YES" to import AHBot sql.
AHBOT="NO"

## Define if the 'src/modules/PlayerBots/sql' directory for processing development SQL files needs to be used
## Set the variable to "YES" to use the playerbots directory
PLAYERBOTS_DB="NO"

# Enjoy using the tool
